package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RelationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.RelationFacade;
import com.diagbot.vo.TermVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
@RestController
@RequestMapping("/relation")
@Api(value = "标准术语关系API", tags = { "标准术语关系API" })

public class RelationController {
    @Autowired
    RelationFacade relationFacade;

    @ApiOperation(value = "标准术语关系查询",
            notes = "Term：术语名称, 必填<br>Type：术语类型, 必填<br>")
    @PostMapping("/getConceptRelation")
    @SysLogger("getConceptRelation")
    public RespDTO<List<RelationDTO>> getConceptRelation(@Valid @RequestBody TermVo termvo) {
        List<RelationDTO> data = relationFacade.getAllRelation(termvo);

        return RespDTO.onSuc(data);
    }

}
